---
lang: en
title: 'API docs: rest.requestbodyparser._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.requestbodyparser._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestBodyParser](./rest.requestbodyparser.md) &gt; [(constructor)](./rest.requestbodyparser._constructor_.md)

## RequestBodyParser.(constructor)

Constructs a new instance of the `RequestBodyParser` class

<b>Signature:</b>

```typescript
constructor(parsers?: BodyParser[], ctx?: Context | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  parsers | [BodyParser](./rest.bodyparser.md)<!-- -->\[\] | <i>(Optional)</i> |
|  ctx | [Context](./context.context.md) \| undefined | <i>(Optional)</i> |


